Loading...
Searching...
No Matches
pappso::FilterChargeDeconvolution::DataPointInfo Struct Reference

## Public Attributes

int | z_charge = -1
DataPoint | data_point
DataPoint | new_mono_charge_data_point
std::pair< double, double > | z1_range
std::pair< double, double > | z2_range
std::weak_ptr< DataPointInfo > | parent
std::vector< std::weak_ptr< DataPointInfo > > | z1_vect
std::vector< std::weak_ptr< DataPointInfo > > | z2_vect

## Detailed Description

Definition at line 47 of file filterchargedeconvolution.h.

## Member Data Documentation

## data_point

DataPoint pappso::FilterChargeDeconvolution::DataPointInfo::data_point

Definition at line 52 of file filterchargedeconvolution.h.

## new_mono_charge_data_point

DataPoint pappso::FilterChargeDeconvolution::DataPointInfo::new_mono_charge_data_point

Definition at line 54 of file filterchargedeconvolution.h.

## parent

std::weak_ptr<DataPointInfo> pappso::FilterChargeDeconvolution::DataPointInfo::parent

Definition at line 60 of file filterchargedeconvolution.h.

## z1_range

std::pair<double, double> pappso::FilterChargeDeconvolution::DataPointInfo::z1_range

Definition at line 56 of file filterchargedeconvolution.h.

## z1_vect

std::vector<std::weak_ptr<DataPointInfo> > pappso::FilterChargeDeconvolution::DataPointInfo::z1_vect

Definition at line 62 of file filterchargedeconvolution.h.

## z2_range

std::pair<double, double> pappso::FilterChargeDeconvolution::DataPointInfo::z2_range

Definition at line 58 of file filterchargedeconvolution.h.

## z2_vect

std::vector<std::weak_ptr<DataPointInfo> > pappso::FilterChargeDeconvolution::DataPointInfo::z2_vect

Definition at line 64 of file filterchargedeconvolution.h.

## z_charge

int pappso::FilterChargeDeconvolution::DataPointInfo::z_charge = -1

Definition at line 50 of file filterchargedeconvolution.h.

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/filters/filterchargedeconvolution.h